package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_Desensitization_Strategy"
)
public class TCoreDesensitizationStrategy extends TBaseEntity {
   @Column(
      length = 100
   )
   private String strategyid;
   @Column(
      length = 255
   )
   private String strategyname;
   @Column(
      length = 255
   )
   private String rolegroup;
   @Column(
      length = 50
   )
   private String datasystem_id;
   @Column(
      length = 128
   )
   private String tschemas;
   @Column(
      length = 128
   )
   private String names;
   @Column(
      length = 128
   )
   private String table_field_id;
   @Column(
      length = 500
   )
   private String remarks;
   @Column(
      length = 256
   )
   private String projectid;
   @Column(
      length = 256
   )
   private String dataareaid;
   @Column(
      length = 255
   )
   private String dataareaname;
   @Column(
      length = 255
   )
   private String ruleid;
   @Column(
      length = 255
   )
   private String rulename;
   @Column(
      length = 32
   )
   private String state;
   private String createuser;
   private Date createtime;

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getNames() {
      return this.names;
   }

   public void setNames(String names) {
      this.names = names;
   }

   public String getTable_field_id() {
      return this.table_field_id;
   }

   public void setTable_field_id(String table_field_id) {
      this.table_field_id = table_field_id;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getTschemas() {
      return this.tschemas;
   }

   public void setTschemas(String tschemas) {
      this.tschemas = tschemas;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public void setDataareaid(String dataareaid) {
      this.dataareaid = dataareaid;
   }

   public String getDataareaname() {
      return this.dataareaname;
   }

   public void setDataareaname(String dataareaname) {
      this.dataareaname = dataareaname;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getStrategyid() {
      return this.strategyid;
   }

   public void setStrategyid(String strategyid) {
      this.strategyid = strategyid;
   }

   public String getStrategyname() {
      return this.strategyname;
   }

   public void setStrategyname(String strategyname) {
      this.strategyname = strategyname;
   }

   public String getRolegroup() {
      return this.rolegroup;
   }

   public void setRolegroup(String rolegroup) {
      this.rolegroup = rolegroup;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }
}
